<template>
  <div>
    <div class="q-pa-sm row items-center justify-center">
      <div style="padding-right: 5px;" class="col-x10 col-sm-5 col-md-3 col-xl-3">
        <q-input dense outlined rounded lazy-rules v-model="form.name" label="Nombre" color="primary" :error="$v.form.name.$error" error-message="Dato necesario">
          <q-tooltip>
          Dato requerido *
          </q-tooltip>
          </q-input>
        </div>
      </div>
    <div>
    <div class="center">
      <vs-button
        block
        class="bg-secondary"
        @click="save"
      >
      <q-icon name="save"/> Guardar Datos
        </vs-button>
      </div>
      <br/>
    </div>
  </div>
</template>
<script>
import { required } from 'vuelidate/lib/validators'
export default {
  created () {
    this.getInfo()
  },
  name: 'ListStreets',
  props: ['ruta'],
  validations: {
    form: {
      name: {
        required
      }
    }
  },
  data () {
    return {
      form: {},
      copyForm: []
    }
  },
  methods: {
    back () {
      this.$router.go(-1)
    },
    async getInfo () {
      this.form = {}
      this.id = this.$route.params.id
      if (this.id) {
        this.$q.loading.show()
        this.$api.get(`${this.ruta}Id/` + this.id).then(res => {
          this.copyForm = res
          if (this.copyForm.length === 1) {
            this.form = this.copyForm[0]
          }
          this.$q.loading.hide()
        })
      }
    },
    async save () {
      this.$v.form.$touch()
      if (this.$v.form.$error) {
        console.log('error')
      } else {
        this.$q.loading.show()
        this.$api.post(`${this.ruta}`, this.form).then(res => {
          this.$q.loading.hide()
          this.$router.go(-1)
        })
      }
    }
  }
}
</script>
